package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.FlowChartRole;

import java.util.List;

/**
* <p>
* 流程节点权限对应关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/
public interface FlowChartRoleService extends IService<FlowChartRole> {



	FlowChartRole selectFlowChartRoleById(Long id);


	Long insertFlowChartRole(FlowChartRole flowChartRole);


	int updateFlowChartRoleById(FlowChartRole flowChartRole);


	int updateCoverFlowChartRoleById(FlowChartRole flowChartRole);


	int deleteFlowChartRoleById(Long id);


    List<FlowChartRole> selectFlowChartRolesByChartIdAndType(Long id, int type);
}